package at.ac.uibk.gitsearch.service.dto;

import java.lang.reflect.InvocationTargetException;

import at.ac.uibk.gitsearch.service.MailService;
import at.ac.uibk.gitsearch.testingUtilities.PropertiesTester;

/**
 * Integration tests for {@link MailService}.
 */
public class VariousDTOTest {

	PropertiesTester propertiesTester = new PropertiesTester();

	@org.junit.jupiter.api.Test
	public void testUserProvidedMetadataDTO() throws IllegalAccessException, InvocationTargetException {
		
		
		propertiesTester.testProperties(UserProvidedMetadataDTO.class);
	}

	@org.junit.jupiter.api.Test
	public void testSearchResultsDTO() throws IllegalAccessException, InvocationTargetException {
		propertiesTester.testProperties(SearchResultsDTO.class);
		propertiesTester.testProperties(SearchResultDTO.class);
	}
	
	@org.junit.jupiter.api.Test
	public void testSearchInputDTO() throws IllegalAccessException, InvocationTargetException {
		propertiesTester.testProperties(SearchInputDTO.class);
	}

}
